org.apache.poi.common.usermodel

## Enum HyperlinkType

- java.lang.Object
- - java.lang.Enum<HyperlinkType>
  - - org.apache.poi.common.usermodel.HyperlinkType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<HyperlinkType>

      public enum HyperlinkType
      extends java.lang.Enum<HyperlinkType>

  Since:
    POI 3.15 beta 3

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DOCUMENT` Link to a place in this document
    `EMAIL` Link to an E-mail address
    `FILE` Link to a file
    `NONE` Not a hyperlink
    `URL` Link to an existing file or web page

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static HyperlinkType` | `forInt(int code)` Deprecated. POI 3.15 beta 3
    `int` | `getCode()` Deprecated. POI 3.15 beta 3
    `static HyperlinkType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static HyperlinkType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          @Internal
          public static final HyperlinkType NONE

      Not a hyperlink

    - #### URL

          public static final HyperlinkType URL

      Link to an existing file or web page

    - #### DOCUMENT

          public static final HyperlinkType DOCUMENT

      Link to a place in this document

    - #### EMAIL

          public static final HyperlinkType EMAIL

      Link to an E-mail address

    - #### FILE

          public static final HyperlinkType FILE

      Link to a file

  - ### Method Detail

    - #### values

          public static HyperlinkType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HyperlinkType c : HyperlinkType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HyperlinkType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getCode

          @Internal(since="3.15 beta 3")
           @Deprecated
          public int getCode()

      Deprecated. POI 3.15 beta 3
      Returns:
        the old integer code for a HyperlinkType enum

    - #### forInt

          @Internal(since="3.15 beta 3")
           @Deprecated
          public static HyperlinkType forInt(int code)

      Deprecated. POI 3.15 beta 3
      Parameters:
        `code` - the old integer code
      Returns:
        the corresponding HyperlinkEnum, if it exists
      Throws:
        `java.lang.IllegalArgumentException` - if `code` is not a valid HyperlinkType.

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.